%define name xylib
%define version 0.5
%define release %mkrel 1
%define develname %{name}-devel 
%define __libtoolize /bin/true

Summary: Library for reading x-y data from several file formats
Name: %{name}
Version: %{version}
Release: %{release}
License: LGPLv2
Group: Development/Libraries
URL: http://www.unipress.waw.pl/fityk/xylib/
Source0: http://downloads.sourceforge.net/fityk/%{name}-%{version}.tar.bz2
BuildRequires: gcc-c++, boost-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
C++ library for reading files that contain x-y data from powder diffraction, 
spectroscopy or other experimental methods. The supported formats include:
VAMAS, pdCIF, Bruker UXD and RAW, Philips UDF and RD, Rigaku DAT, 
Sietronics CPI, DBWS/DMPLOT, Koalariet XDD and others.

%package -n %{develname}
Summary: Development files for xylib
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n %{develname}
Files needed for developing apps using xylib.
xylib is a C++ library for reading files that contain x-y data from 
powder diffraction, spectroscopy or other experimental methods.

%prep
%setup -q

%build
%configure2_5x --disable-static

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
# install xyconv
mkdir -p $RPM_BUILD_ROOT%{_bindir}
./libtool --mode=install install -m 755 xyconv $RPM_BUILD_ROOT%{_bindir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root,-)
%doc README COPYING TODO
%{_libdir}/libxy.so.*
%{_bindir}/xyconv
%{_mandir}/man1/xyconv.1.bz2

%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/xylib/
%{_libdir}/libxy.so

%changelog
* Fri Mar 26 2010 slick50 <lxgator@gmail.com> 0.5-1pclos2010
- initial pkg

